Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface AppresourcesPackage.Literals

Enclosing interface:
  AppresourcesPackage

    public static interface AppresourcesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `FILE_SYSTEM_CONNECTOR` The meta object literal for the '`File System Connector`' class
`static org.eclipse.emf.ecore.EClass` | `JDBC_DATA_SOURCE_CONNECTOR` The meta object literal for the '`JDBC Data Source Connector`' class
`static org.eclipse.emf.ecore.EClass` | `LDAP_JNDI_CONNECTOR` The meta object literal for the '`Ldap Jndi Connector`' class
`static org.eclipse.emf.ecore.EClass` | `PDPA_SERVICE_CONNECTOR` The meta object literal for the '`PDPA Service Connector`' class
`static org.eclipse.emf.ecore.EClass` | `RC_ANNOTATION` The meta object literal for the '`RC Annotation`' class
`static org.eclipse.emf.ecore.EReference` | `RC_ANNOTATION__DETAILS` The meta object literal for the 'Details' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `RC_ANNOTATION__SOURCE` The meta object literal for the 'Source' attribute feature
`static org.eclipse.emf.ecore.EClass` | `RC_ANNOTATION_DETAIL` The meta object literal for the '`RC Annotation Detail`' class
`static org.eclipse.emf.ecore.EAttribute` | `RC_ANNOTATION_DETAIL__KEY` The meta object literal for the 'Key' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `RC_ANNOTATION_DETAIL__VALUE` The meta object literal for the 'Value' attribute feature
`static org.eclipse.emf.ecore.EClass` | `RESOURCE_CONNECTOR` The meta object literal for the '`Resource Connector`' class
`static org.eclipse.emf.ecore.EReference` | `RESOURCE_CONNECTOR__ANNOTATIONS` The meta object literal for the 'Annotations' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `RESOURCE_CONNECTOR__CODE` The meta object literal for the 'Code' attribute feature
`static org.eclipse.emf.ecore.EClass` | `RESOURCE_SET` The meta object literal for the '`Resource Set`' class
`static org.eclipse.emf.ecore.EReference` | `RESOURCE_SET__RESOURCES` The meta object literal for the 'Resources' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `RPC_WEB_SERVICE_CONNECTOR` The meta object literal for the '`RPC Web Service Connector`' class
`static org.eclipse.emf.ecore.EReference` | `RPC_WEB_SERVICE_CONNECTOR__ENDPOINT` The meta object literal for the 'Endpoint' reference feature
`static org.eclipse.emf.ecore.EClass` | `SERVICE_CONNECTOR` The meta object literal for the '`Service Connector`' class
`static org.eclipse.emf.ecore.EReference` | `SERVICE_CONNECTOR__BINDING` The meta object literal for the 'Binding' reference feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_CONNECTOR__SELECTOR` The meta object literal for the 'Selector' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_CONNECTOR__SERVICE_DEF` The meta object literal for the 'Service Def' reference feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_CONNECTOR__USE_REGISTRY` The meta object literal for the 'Use Registry' attribute feature
`static org.eclipse.emf.ecore.EClass` | `SERVICE_SELECTOR` The meta object literal for the '`Service Selector`' class
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_SELECTOR__AMBIENTE` The meta object literal for the 'Ambiente' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_SELECTOR__COD_BINDING` The meta object literal for the 'Cod Binding' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_SELECTOR__COD_ENTE` The meta object literal for the 'Cod Ente' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_SELECTOR__COD_PROD` The meta object literal for the 'Cod Prod' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_SELECTOR__COD_SERV` The meta object literal for the 'Cod Serv' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_SELECTOR__ISTANZA` The meta object literal for the 'Istanza' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_SELECTOR__VER_SERV` The meta object literal for the 'Ver Serv' attribute feature

Field Detail

### RESOURCE_CONNECTOR

    static final org.eclipse.emf.ecore.EClass RESOURCE_CONNECTOR

  The meta object literal for the '`Resource Connector`' class.

  See Also:
    `ResourceConnectorImpl`, `AppresourcesPackageImpl.getResourceConnector()`

### RESOURCE_CONNECTOR__CODE

    static final org.eclipse.emf.ecore.EAttribute RESOURCE_CONNECTOR__CODE

  The meta object literal for the 'Code' attribute feature.

### RESOURCE_CONNECTOR__ANNOTATIONS

    static final org.eclipse.emf.ecore.EReference RESOURCE_CONNECTOR__ANNOTATIONS

  The meta object literal for the 'Annotations' containment reference list feature.

### PDPA_SERVICE_CONNECTOR

    static final org.eclipse.emf.ecore.EClass PDPA_SERVICE_CONNECTOR

  The meta object literal for the '`PDPA Service Connector`' class.

  See Also:
    `PDPAServiceConnectorImpl`, `AppresourcesPackageImpl.getPDPAServiceConnector()`

### FILE_SYSTEM_CONNECTOR

    static final org.eclipse.emf.ecore.EClass FILE_SYSTEM_CONNECTOR

  The meta object literal for the '`File System Connector`' class.

  See Also:
    `FileSystemConnectorImpl`, `AppresourcesPackageImpl.getFileSystemConnector()`

### JDBC_DATA_SOURCE_CONNECTOR

    static final org.eclipse.emf.ecore.EClass JDBC_DATA_SOURCE_CONNECTOR

  The meta object literal for the '`JDBC Data Source Connector`' class.

  See Also:
    `JDBCDataSourceConnectorImpl`, `AppresourcesPackageImpl.getJDBCDataSourceConnector()`

### LDAP_JNDI_CONNECTOR

    static final org.eclipse.emf.ecore.EClass LDAP_JNDI_CONNECTOR

  The meta object literal for the '`Ldap Jndi Connector`' class.

  See Also:
    `LdapJndiConnectorImpl`, `AppresourcesPackageImpl.getLdapJndiConnector()`

### RPC_WEB_SERVICE_CONNECTOR

    static final org.eclipse.emf.ecore.EClass RPC_WEB_SERVICE_CONNECTOR

  The meta object literal for the '`RPC Web Service Connector`' class.

  See Also:
    `RPCWebServiceConnectorImpl`, `AppresourcesPackageImpl.getRPCWebServiceConnector()`

### RPC_WEB_SERVICE_CONNECTOR__ENDPOINT

    static final org.eclipse.emf.ecore.EReference RPC_WEB_SERVICE_CONNECTOR__ENDPOINT

  The meta object literal for the 'Endpoint' reference feature.

### SERVICE_SELECTOR

    static final org.eclipse.emf.ecore.EClass SERVICE_SELECTOR

  The meta object literal for the '`Service Selector`' class.

  See Also:
    `ServiceSelectorImpl`, `AppresourcesPackageImpl.getServiceSelector()`

### SERVICE_SELECTOR__COD_PROD

    static final org.eclipse.emf.ecore.EAttribute SERVICE_SELECTOR__COD_PROD

  The meta object literal for the 'Cod Prod' attribute feature.

### SERVICE_SELECTOR__COD_SERV

    static final org.eclipse.emf.ecore.EAttribute SERVICE_SELECTOR__COD_SERV

  The meta object literal for the 'Cod Serv' attribute feature.

### SERVICE_SELECTOR__VER_SERV

    static final org.eclipse.emf.ecore.EAttribute SERVICE_SELECTOR__VER_SERV

  The meta object literal for the 'Ver Serv' attribute feature.

### SERVICE_SELECTOR__COD_ENTE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_SELECTOR__COD_ENTE

  The meta object literal for the 'Cod Ente' attribute feature.

### SERVICE_SELECTOR__ISTANZA

    static final org.eclipse.emf.ecore.EAttribute SERVICE_SELECTOR__ISTANZA

  The meta object literal for the 'Istanza' attribute feature.

### SERVICE_SELECTOR__AMBIENTE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_SELECTOR__AMBIENTE

  The meta object literal for the 'Ambiente' attribute feature.

### SERVICE_SELECTOR__COD_BINDING

    static final org.eclipse.emf.ecore.EAttribute SERVICE_SELECTOR__COD_BINDING

  The meta object literal for the 'Cod Binding' attribute feature.

### RESOURCE_SET

    static final org.eclipse.emf.ecore.EClass RESOURCE_SET

  The meta object literal for the '`Resource Set`' class.

  See Also:
    `ResourceSetImpl`, `AppresourcesPackageImpl.getResourceSet()`

### RESOURCE_SET__RESOURCES

    static final org.eclipse.emf.ecore.EReference RESOURCE_SET__RESOURCES

  The meta object literal for the 'Resources' containment reference list feature.

### SERVICE_CONNECTOR

    static final org.eclipse.emf.ecore.EClass SERVICE_CONNECTOR

  The meta object literal for the '`Service Connector`' class.

  See Also:
    `ServiceConnectorImpl`, `AppresourcesPackageImpl.getServiceConnector()`

### SERVICE_CONNECTOR__SERVICE_DEF

    static final org.eclipse.emf.ecore.EReference SERVICE_CONNECTOR__SERVICE_DEF

  The meta object literal for the 'Service Def' reference feature.

### SERVICE_CONNECTOR__BINDING

    static final org.eclipse.emf.ecore.EReference SERVICE_CONNECTOR__BINDING

  The meta object literal for the 'Binding' reference feature.

### SERVICE_CONNECTOR__SELECTOR

    static final org.eclipse.emf.ecore.EReference SERVICE_CONNECTOR__SELECTOR

  The meta object literal for the 'Selector' containment reference feature.

### SERVICE_CONNECTOR__USE_REGISTRY

    static final org.eclipse.emf.ecore.EAttribute SERVICE_CONNECTOR__USE_REGISTRY

  The meta object literal for the 'Use Registry' attribute feature.

### RC_ANNOTATION

    static final org.eclipse.emf.ecore.EClass RC_ANNOTATION

  The meta object literal for the '`RC Annotation`' class.

  See Also:
    `RCAnnotationImpl`, `AppresourcesPackageImpl.getRCAnnotation()`

### RC_ANNOTATION__SOURCE

    static final org.eclipse.emf.ecore.EAttribute RC_ANNOTATION__SOURCE

  The meta object literal for the 'Source' attribute feature.

### RC_ANNOTATION__DETAILS

    static final org.eclipse.emf.ecore.EReference RC_ANNOTATION__DETAILS

  The meta object literal for the 'Details' containment reference list feature.

### RC_ANNOTATION_DETAIL

    static final org.eclipse.emf.ecore.EClass RC_ANNOTATION_DETAIL

  The meta object literal for the '`RC Annotation Detail`' class.

  See Also:
    `RCAnnotationDetailImpl`, `AppresourcesPackageImpl.getRCAnnotationDetail()`

### RC_ANNOTATION_DETAIL__KEY

    static final org.eclipse.emf.ecore.EAttribute RC_ANNOTATION_DETAIL__KEY

  The meta object literal for the 'Key' attribute feature.

### RC_ANNOTATION_DETAIL__VALUE

    static final org.eclipse.emf.ecore.EAttribute RC_ANNOTATION_DETAIL__VALUE

  The meta object literal for the 'Value' attribute feature.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD